Name:           ksnip
Summary:     	Screenshot tool
License:        GPLv2
Version:        1.10.0
Release:       	%mkrel 2
Group:          Graphics
URL:            https://github.com/damirporobic/ksnip
Source0:        https://dl.opendesktop.org/api/files/download/id/1477218360/%{name}-%{version}.tar.xz
Source1:        org.ksnip.ksnip.desktop
BuildRequires: cmake
BuildRequires: lib64kcolorpicker-devel
BuildRequires: lib64kimageannotator-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64x11-devel
#------------------------------------------------------------------------------------

%description
Ksnip is a Qt 5 based Linux screenshot tool inspired by the Window Snipping Tool.
It was targeted to be simple and to provide features for quickly taking screenshots and add easily notes and drawings to it.

Let me know what you think or if you would like to see new features, comments are welcome.

Features include:
* Taking Screenshot of a custom rectangular area that can be drawn with mouse cursor
* Taking screenshot of the screen/monitor where the mouse cursor is currently located
* Taking screenshot of full screen, including all screens/monitors
* Taking screenshot of window that currently has focus
* Customizable capture delay
* Drawing on captured screenshot with two different tools, pen (opaque) and maker (semi-transparent)
* Customizable color and size for drawing tool
* Any drawing can be moved around without deleting it by simply dragging it to new location
* Cropping captured screensshot, including any drawing on the captured image
* Command line support, for taking screenshot and saving it to default location, filename and format
* Customizable default location, filename and format for saving new screenshots with wildcards for Year ($Y), Month ($M), Day ($D) and Time ($T)
#----------------------------------------------------
%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot

%{makeinstall_std} -C build

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/org.ksnip.ksnip.desktop

%files
%{_bindir}/%{name}
%{_datadir}/ksnip
%{_datadir}/applications/org.ksnip.ksnip.desktop
%{_datadir}/icons/hicolor/scalable/apps/ksnip.svg
%{_datadir}/metainfo/org.ksnip.ksnip.appdata.xml

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Sep 19 2022 tex - 1.10.0-2pclos2022
- rebuild against updates

* Thu Sep 01 2022 tex - 1.10.0-1pclos2022
- new version

* Fri Dec 10 2021 tex - 1.9.2-1pclos2021
- new version

* Tue Dec 15 2020 tex - 1.8.0-1pclos2021
- new version

* Tue Dec 08 2020 tex - 1.7.3-2pclos2020
- rebuild against updates

* Sun Aug 02 2020 tex - 1.7.3-1pclos2020
- new version

* Mon Jun 15 2020 tex - 1.7.0-1pclos2020
- new version git

* Fri Apr 03 2020 tex - 1.6.1-1pclos2020
- new version

* Fri Jun 21 2019 tex - 1.5.0-1pclos2019
- new version

* Mon Dec 18 2017 daniel <meisssw01 at gmail.com> 1.4.0-1pclos2017
- update

